package com.gic.enterprise.service;

import com.gic.enterprise.dto.wm.WmStoreConfigDTO;
import com.gic.enterprise.entity.TabWmStoreConfig;

public interface WmStoreConfigService {

    /**
     * 新增店铺配置
     * @Title: saveWmStoreConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
     */
    Integer saveWmStoreConfig(WmStoreConfigDTO dto);

    void editWmStoreConfig(WmStoreConfigDTO dto);

    /**
     * 根据微盟主账号查询配置
     * @Title: getByWmMainAccount 
     * @Description:
     * @author guojuxing
     * @param wmMainAccount
     * @param storeConfigType 店铺配置类型 1:会员卡配置 2:卡券配置 3:订单配置 4:积分配置 5:商品同步记录 6:小程序配置 WmStoreConfigTypeEnum枚举类
     * @return  com.gic.enterprise.entity.TabWmStoreConfig 
     */
    TabWmStoreConfig getByWmMainAccount(String wmMainAccount, Integer storeConfigType);
}
